import request from "/utils/request.js";
export function useLockApi() { 
	return {
		GetDyncPwdByMac: (data) => {
			return request.request({
				url: '/LockOperation/GetDyncPwd',
				method: 'get',
				data,
			});
		},
		GetAccesscontrolQRCodeBySite: (data) => {
			return request.request({
				url: '/Accesscontrol/GetAccesscontrolQRCode',
				method: 'get',
				data,
			});
		},
		// 门禁远程开门
		RemoteOpenDoor: (data) => {
			return request.request({
				url: '/Accesscontrol/RemoteOpenDoor',
				method: 'get',
				data,
			});
		},
		//通通锁远程开锁
		RemoteOpen: (data) => {
			return request.request({
				url: '/LockOperation/RemoteOpen',
				method: 'post',
				data,
			});
		},
		// 获取初始化的通通锁列表
		GetInitLockList: (data) => {
			return request.request({
				url: '/Lock/GetLockInfoByOpenId',
				method: 'get',
				data,
			});
		},
		// 获取初始化的通通锁信息
		SaveInitLock: (data) => {
			return request.request({
				url: '/Lock/PushLockInfo',
				method: 'post',
				data,
			});
		},
		//授权订单
		OrderAuthorizeCustomer: (data) => {
			return request.request({
				url: '/ClientOrder/OrderAuthorizeCustomer',
				method: 'post',
				data,
			});
		},
		// 更新授权订单
		UpdateOrderAuthorizeCustomer: (data) => {
			return request.request({
				url: '/ClientOrder/UpdateOrderAuthorizeCustomer',
				method: 'post',
				data,
			});
		},
		// 删除授权订单
		DeleteOrderAuthorize: (data) => {
			return request.request({
				url: '/ClientOrder/DeleteOrderAuthorize?authorizeId=' + data.authorizeId,
				method: 'delete',
				data,
			});
		},
		// 获取授权列表
		GetOrderAuthorizeList: (data) => {
			return request.request({
				url: '/ClientOrder/GetOrderAuthorizeList',
				method: 'get',
				data,
			});
		},
		// 获取授权的订单
		GetAuthorizeOrderList: (data) => {
			return request.request({
				url: '/ClientOrder/GetAuthorizeOrderList',
				method: 'post',
				data,
			});
		},
		// 设置用户固定密码
		SetUserFixedPassword: (data) => {
			return request.request({
				url: '/LockOperation/SetUserFixedPassword',
				method: 'post',
				data,
			});
		},
		// 门禁绑卡
		AddCardNumber: (data) => {
			return request.request({
				url: '/Site/AddCardNumber',
				method: 'get',
				data,
			});
		},
		//通通锁绑卡
		BindCardByWifiSmartLock: (data) => {
			return request.request({
				url: '/LockOperation/BindCardByWifiSmartLock',
				method: 'post',
				data,
			});
		},
		// zoned 锁绑卡
		SetRFIDCard: (data) => {
			return request.request({
				url: '/LockOperation/SetRFIDCard',
				method: 'post',
				data,
			});
		},
		// zoned 绑卡读取卡结果
		GetBindingCardResult: (data) => {
			return request.request({
				url: '/LockOperation/GetBindingCardResult',
				method: 'get',
				data,
			});
		},
		// 就门禁id 获取门禁信息
		GetNewLockerId: (data) => {
			return request.request({
				url: '/Locker/GetNewLockerId',
				method: 'get',
				data,
			});
		},
	};
}